<template>
  <div>
    这是sdp弹窗{{ loadOptions.extraParams.customData.dealId }}
    <div
      class="footer-btns"
    >
      <el-button
        :size="$buttonSize"
        @click="cancel"
      >取 消</el-button>
      <el-button
        :size="$buttonSize"
        type="primary"
        @click="confirm"
      >确 定</el-button>
    </div>
  </div>
</template>

<script>
import ScopeIdMixin from '../../../mixins/ScopeIdMixin';
export default {
  mixins: [ScopeIdMixin],
  data() {
    return {
      // loadOptions: {},
    };
  },
  mounted() {
    // const loadOptions = this.loadOptions;
    console.log('参数', this.loadOptions.extraParams);
  },
  methods: {
    confirm() {
      // to-do
      Eui.closeVueWin(this.loadOptions.extraParams.dialogId);
      Eui.sdp.refreshActivitedTableByIds(this.loadOptions.extraParams.activitedTableId);
    },
    cancel() {
      Eui.closeVueWin(this.loadOptions.extraParams.dialogId);
    },
  },
};

</script>

<style lang="scss" scoped>
.footer-btns{
  display:flex;
  justify-content: end;
}
</style>
